# dmxpixmap.h File Reference

`#include "pixmapstr.h"`

Go to the source code of this file.

## Data Structures

struct | _dmxPixPriv

## Defines

#define | DMX_GET_PIXMAP_PRIV(_pPix) (dmxPixPrivPtr)(_pPix)->devPrivates[dmxPixPrivateIndex].ptr

## Typedefs

typedef _dmxPixPriv | dmxPixPrivRec
typedef _dmxPixPriv * | dmxPixPrivPtr

## Functions

Bool | dmxInitPixmap (ScreenPtr pScreen)
PixmapPtr | dmxCreatePixmap (ScreenPtr pScreen, int width, int height, int depth)
Bool | dmxDestroyPixmap (PixmapPtr pPixmap)
RegionPtr | dmxBitmapToRegion (PixmapPtr pPixmap)
void | dmxBECreatePixmap (PixmapPtr pPixmap)
Bool | dmxBEFreePixmap (PixmapPtr pPixmap)

## Variables

int | dmxPixPrivateIndex

## Detailed Description

Interface for pixmap support.

See also:
  dmxpixmap.c

## Define Documentation

#define DMX_GET_PIXMAP_PRIV | ( | _pPix |  | ) | (dmxPixPrivPtr)(_pPix)->devPrivates[dmxPixPrivateIndex].ptr

| Get pixmap private pointer.

## Typedef Documentation

typedef struct _dmxPixPriv * dmxPixPrivPtr

| Pixmap private area.

typedef struct _dmxPixPriv dmxPixPrivRec

| Pixmap private area.

## Function Documentation

void dmxBECreatePixmap | ( | PixmapPtr | pPixmap | ) |

| Create a pixmap on the back-end server.

Bool dmxBEFreePixmap | ( | PixmapPtr | pPixmap | ) |

| Destroy the pixmap on the back-end server.

RegionPtr dmxBitmapToRegion | ( | PixmapPtr | pPixmap | ) |

| Create and return a region based on the pixmap pointed to by pPixmap.

PixmapPtr dmxCreatePixmap | ( | ScreenPtr | pScreen,
|  | int | width,
|  | int | height,
|  | int | depth
| ) |

| Create a pixmap for pScreen with the specified width, height, and depth.

Bool dmxDestroyPixmap | ( | PixmapPtr | pPixmap | ) |

| Destroy the pixmap pointed to by pPixmap.

Bool dmxInitPixmap | ( | ScreenPtr | pScreen | ) |

| Initialize a private area in pScreen for pixmap information.

## Variable Documentation

int dmxPixPrivateIndex

Private index.

See also:
  dmxpicmap.h

  dmxscrinit.c

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>